llvm.org GIT mirror llvm / master test / MC / ARM / obsolete-v8.s
master

Tree @master (Download .tar.gz)

obsolete-v8.s @masterraw · history · blame

1
2
3
4
5
6
7
@ RUN: not llvm-mc -triple=armv8 < %s 2>&1 | FileCheck %s

swp r0, r1, [r2]
@ CHECK: instruction requires: armv7 or earlier

swpb r0, r1, [r2]
@ CHECK: instruction requires: armv7 or earlier